package com.czg.account.enums;

/**
 * 积分兑换状态枚举
 *
 * @author tankaikai
 * @since 2025-02-25 15:37
 */
public enum PointsExchangeStatusEnum {
    /**
     * 待支付
     */
    UNPAID("unpaid"),
    /**
     * 待自取
     */
    WAITING("waiting"),
    /**
     * 已完成
     */
    DONE("done"),
    /**
     * 已取消
     */
    CANCEL("cancel");

    private String value;

    PointsExchangeStatusEnum(String value) {
        this.value = value;
    }

    public String value() {
        return this.value;
    }
}
